## envstore 2.0.3

=== Makefile ===
CFLAGS = -Wall -Wextra -pedantic -O2
prefix = /usr/local

all: bin/envstore

bin/%: src/%.c
	$(CC) $(CFLAGS) -o $@ $<

install: bin/envstore
	mkdir -p $(prefix)/bin $(prefix)/share/man/man1
	cp bin/envstore $(prefix)/bin/envstore
	cp bin/envify $(prefix)/bin/envify
	cp man/1/envify $(prefix)/share/man/man1/envify.1
	cp man/1/envstore $(prefix)/share/man/man1/envstore.1
	chmod 755 $(prefix)/bin/envstore
	chmod 755 $(prefix)/bin/envify
	chmod 644 $(prefix)/share/man/man1/envify.1
	chmod 644 $(prefix)/share/man/man1/envstore.1

uninstall:
	rm -f $(prefix)/bin/envstore $(prefix)/bin/envify
	rm -f $(prefix)/share/man/man1/envify.1
	rm -f $(prefix)/share/man/man1/envstore.1

test:
	test/main --extended

clean:
	rm -f bin/envstore

.PHONY: all install uninstall test clean

## envstore 2.0.4

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	rm -f $(prefix)/share/man/man1/envstore.1
 
 test:
-	test/main --extended
+	test/main
 
 clean:
 	rm -f bin/envstore

## envstore 2.1

=== Makefile ===
CFLAGS ?= -O2
PREFIX ?= /usr/local

VERSION ?= 2.1

CFLAGS += -Wall -Wextra -pedantic

sysdir = ${DESTDIR}${PREFIX}

bin/envstore: src/envstore.c
	${CC} -DVERSION=\"${VERSION}\" ${CFLAGS} ${LDFLAGS} -o $@ $<

install: bin/envstore
	@echo installing:
	@echo 'envstore   to ${sysdir}/bin'
	@echo 'envify     to ${sysdir}/bin'
	@echo 'envstore.1 to ${sysdir}/share/man/man1'
	@echo 'envify.1   to ${sysdir}/share/man/man1'
	@mkdir -p ${sysdir}/bin ${sysdir}/share/man/man1
	@cp bin/envstore ${sysdir}/bin/envstore
	@cp bin/envify ${sysdir}/bin/envify
	@cp man/1/envify ${sysdir}/share/man/man1/envify.1
	@cp man/1/envstore ${sysdir}/share/man/man1/envstore.1
	@chmod 755 ${sysdir}/bin/envstore
	@chmod 755 ${sysdir}/bin/envify
	@chmod 644 ${sysdir}/share/man/man1/envify.1
	@chmod 644 ${sysdir}/share/man/man1/envstore.1

uninstall:
	rm -f ${sysdir}/bin/envstore ${sysdir}/bin/envify
	rm -f ${sysdir}/share/man/man1/envify.1
	rm -f ${sysdir}/share/man/man1/envstore.1

test:
	test/main

clean:
	rm -f bin/envstore

.PHONY: all install uninstall test clean

=== debian/changelog ===
envstore (2.1-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 06 May 2015 10:31:11 -0300

envstore (2.1-2) experimental; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer (see #657333).
  * Updated DH level to 9.
  * Added a patch to improve the GCC hardening.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Using 1.0 format.
      - Full updated.
  * debian/watch:
      - Added a verification about upstream signature.
      - Updated the search line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Apr 2015 15:51:10 -0300

envstore (2.1-1) experimental; urgency=low

  * New upstrem release
  * Adapt debian/rules to new Makefile
  * Bump Standards-Version to 3.9.1 (no changes necessary)
  * Set source format to 3.0 (quilt)
  * Extend long description
  * Convert short description to a noun phrase
  * Update homepage
  * Add 2010 to copyright years

 -- Maximilian Gass <mxey@cloudconnected.org>  Fri, 06 Aug 2010 17:37:16 +0200

envstore (2.0.4-1) unstable; urgency=low

  * New upstrem release
  * Bump Standards-Version to 3.8.4 (no changes necessary)

 -- Maximilian Gass <mxey@cloudconnected.org>  Sat, 30 Jan 2010 13:10:44 +0100

envstore (2.0.3-1) unstable; urgency=low

  * New upstream release: remove build-dependency on zsh
  * Add full text of WTFPL to debian/copyright

 -- Maximilian Gass <mxey@cloudconnected.org>  Sat, 19 Dec 2009 20:46:16 +0100

envstore (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #558684)

 -- Maximilian Gass <mxey@cloudconnected.org>  Mon, 30 Nov 2009 21:30:27 +0100

=== debian/control ===
Source: envstore
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://derf.homelinux.org/projects/envstore/
Vcs-Git: git://anonscm.debian.org/collab-maint/envstore.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/envstore.git

Package: envstore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: store for environment variables across shell processes
 envstore allows you to save environment variables into a separate store, list
 them, and reload them into the (other) shell again. It therefore provides a
 way to share them in cases where exporting to child processes is not feasible.
 .
 Included is envify, a shell script which loads the environment saved with
 envstore and then executes the command given to it.
 .
 A classic use case is MPD_HOST for clients of the Music Player Daemon.
 Commands to control the MPD would be wrapped with envify. If the MPD_HOST were
 then changed in envstore, it would automatically be used.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/envstore PREFIX=/usr

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
http://derf.homelinux.org/projects/envstore \./envstore-(\d\S+)\.tar\.(?:bz2|gz|xz)
